SimpleSelector (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.selection

## Class SimpleSelector

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selector
  - - org.apache.cassandra.cql3.selection.SimpleSelector

- All Implemented Interfaces:
    AssignmentTestable

      public final class SimpleSelector
      extends Selector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.selection.Selector

      `Selector.Factory`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInput(int protocolVersion, Selection.ResultSetBuilder rs)` Add the current value from the specified `ResultSetBuilder`.
    `java.nio.ByteBuffer` | `getOutput(int protocolVersion)` Returns the selector output.
    `AbstractType<?>` | `getType()` Returns the `Selector` output type.
    `static Selector.Factory` | `newFactory(ColumnDefinition def, int idx)`
    `void` | `reset()` Reset the internal state of this `Selector`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.cql3.selection.Selector

      `isAggregate, testAssignment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newFactory

          public static Selector.Factory newFactory(ColumnDefinition def,
                                                    int idx)

    - #### addInput

          public void addInput(int protocolVersion,
                               Selection.ResultSetBuilder rs)
                        throws InvalidRequestException

      Description copied from class: `Selector`
      Add the current value from the specified `ResultSetBuilder`.
      Specified by:
        `addInput` in class `Selector`
      Parameters:
        `protocolVersion` - protocol version used for serialization
        `rs` - the `ResultSetBuilder`
      Throws:
        `InvalidRequestException` - if a problem occurs while add the input value

    - #### getOutput

          public java.nio.ByteBuffer getOutput(int protocolVersion)
                                        throws InvalidRequestException

      Description copied from class: `Selector`
      Returns the selector output.
      Specified by:
        `getOutput` in class `Selector`
      Parameters:
        `protocolVersion` - protocol version used for serialization
      Returns:
        the selector output
      Throws:
        `InvalidRequestException` - if a problem occurs while computing the output value

    - #### reset

          public void reset()

      Description copied from class: `Selector`
      Reset the internal state of this `Selector`.
      Specified by:
        `reset` in class `Selector`

    - #### getType

          public AbstractType<?> getType()

      Description copied from class: `Selector`
      Returns the `Selector` output type.
      Specified by:
        `getType` in class `Selector`
      Returns:
        the `Selector` output type.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation